• Journey's End on PC - Find info here and here. Please report bugs and issues for PC 1.4 and 1.4.1 to Re-Logic here.
  • Journey's End on Mobile - Find info here. Report bugs for Mobile 1.4 to DR Studios at this link and give as much detail as possible.
  • 1.4 will bring many changes to the PC version. We strongly advise making plans to back up your worlds and players prior to updating your game. More details here.
  • Console and Switch - The latest news can be found here. To report a bug, please use this link.

Two Terraria Mods in the same time? (help)

Leon Asian

Terrarian
Hello boys and girls. I have a little problem: I own Terraria 1.2.3.1 (not the Steam version by the way, but if necessary I can find it).

I successfully installed the Terraria Game Launcher, and I have this marvelous Mods: N Terraria, Avalon, and Dark Souls (the Prepare to Die edition).

I was wondering if the Terraria Avalon and the Dark Souls mod, can be used in the same time? If that is the case, how do I do it?

I will appreciate all the help I can get :) Cheers.
 

MiraiMai

Terrarian
Hello boys and girls. I have a little problem: I own Terraria 1.2.3.1 (not the Steam version by the way, but if necessary I can find it).

I successfully installed the Terraria Game Launcher, and I have this marvelous Mods: N Terraria, Avalon, and Dark Souls (the Prepare to Die edition).

I was wondering if the Terraria Avalon and the Dark Souls mod, can be used in the same time? If that is the case, how do I do it?

I will appreciate all the help I can get :) Cheers.
Can't be done.

tAPI (and earlier, tConfig) were made to allow multiple mods to be used together, but that only works with mods built for it. NTerraria is an independant mod, as is the latest versions of Avalon. Avalon is supposed to eventually have a tAPI version though.

Dark Souls if I remember right is a modpack for tConfig, which is quite outdated. There may be an old version of Avalon for tConfig that would work with it if I'm right, but I have no idea how well it would work, or if it would break the mods.
 

Leon Asian

Terrarian
Thanks a lot for the info.

And is confirmed: Dark Souls is really outdated. Is a pity :(

The Avalon Mod 7.0 its great!!!
 
Top Bottom